# Can I use it with Vue or Angular

Short answer: Not exactly—it depends on how determined you are. Successful implementations in Angular and Vue have already been achieved, but these are not straightforward endeavors.

As of today, Keycloakify is primarily a React framework.

While Keycloakify as a build tool is agnostic to the frontend framework, it also includes a library of React components that are direct translations of the default theme. Reimplementing these components from scratch is not an easy task.\
\
Angular:

{% embed url="<https://github.com/kathari00/keycloakify-starter-angular>" %}

Vue:

{% embed url="<https://github.com/keycloak/keycloak/discussions/9093#discussioncomment-8720943>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keycloakify.dev/keycloakify/v10/faq-and-help/can-i-use-it-with-vue-or-angular.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
